How can I check that my processor are ready to works with Enterprise Cobol?

Document ID : KB000045843
Last Modified Date : 14/02/2018
Show Technical Document Details

Introduction: 

IBM Enterprise COBOL Version 5 and Higher requires high impact adjustment when upgrading from Version 4 or earlier versions of the compiler.

This document assumes that you have already completed your runtime migration to Language Environment.

 

Question: 

How can I check that my processor are ready to works with Enterprise Cobol?

 

Answer:  

Enterprise Cobol Version 5 (or Higher) requires a migration plan when upgrading from OS/VS COBOL, here is a list examples of change.

- PDS are no more supported, you need to convert them.

- Some compiler options are not supported anymore. For details see chapter "Unsupported OS/VS COBOL compiler options" from the Enterprise COBOL for z/OS Migration Guide

- More datasets are used by Enterprise Cobol, SYSUT8 to SYSUT15 and SYSMDECK are now required.

- Also, depending on which COBOL compiler you are migrating from, you might need to make COBOL source-code changes.

 

Additional Information:

For any other option, please have a look to Enterprise COBOL for z/OS Migration Guide.

See our other Knowledge documents:

TEC1608491 - Why migration to Enterprise Cobol requires to convert PDS to PDSE?

TEC1915537 - How to resolve IEW2606S error?